Subject: RE: Geomview & Cygwin setup
From: "Dave Korn" <[email-masked]>
To: "'Lloyd Wood'" <[email-masked]>
Cc: "'Chris Elliott'" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Fri, 28 Apr 2006 15:17:35 +0100

On 28 April 2006 15:04, Lloyd Wood wrote:

[most of what I want to say is in the response I just sent before I just
received this reply, so I'm only going to reiterate one single *very*
important point].

> Clearer, and backwardly compatible, would be a gcc version report of
> something like:
> gcc version 3.4.4 (cygwin special) (MinGW, gdc 0.12, using dmd 0.125)

> Saying 'ming' instead of 'MinGW' is a deliberately misleading
> distraction.

  No, it's a linguistic constuct called a "contraction".  You saw "cyg"
without the "win" and didn't complain about that.

>  I was deliberately misinformed by gcc -v.

  No, you misinformed yourself by your false assumptions about the nature of
gcc -v.

> __CYGWIN__ is defined for gcc; gcc -v should report 'cygwin special'.
> I do not recommend changing the environment to __CYGMING__ to match
> in a further attempt at humour.
> 
> If you want people to use the information you provide rationally, do
> not colour that information with irrational attempts at humour to
> provide misinformation that causes doubt.
> 
> We need to trust the output of gcc -v.

  No, this is completely wrong and absolutely not what you want to do.  The
output of "gcc -v" is a human-readable summary of various internal information
which can be obtained by more reliable means for programmatic use.  Your
attempt to indirectly deduce the same info from a freeform text string
presupposes many assumptions that simply do not hold, and therefore is doomed
to incorrectness.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/